((
$Date$
$Revision$
$Author$
$HeadURL$

2008 By Rafael Gonzalez Fuentetaja
This file is placed in the public domain. NO WARRANTY.
))
\ ######################
\ *! intro
\ *R @node{Introduction}
\ *T Introduction
\ ######################


\ ***********
\ *S Abstract
\ ***********

\ *P An implementation of *\b{ForthQL} for *\i{VFX Forh for Linux} 
\ ** is presented. 
\ ** SQL statements are embedded within words using *\fo{CHAR |} as separator. 
\ ** Dynamic SQL statements that bound parameters at runtime are also possible.
\ ** Result sets are processed row by row by callback words.
\ ** ForthQL relies on a simple DB API, where one connection (per thread) 
\ ** to the database is used. This is enough for most purposes. 
\ ** A sample implementation for *\i{SQLite3} is also included. 
\ ** SQLite3 implementation includes a word set for non-callback processing 
\ ** style outside ForthQL.


\ *************
\ *S References
\ *************

\ *P
\ *( 1
\ *B 
\ *R @cite{The Nearly Invisible database or ForthQL}, N. J. Nelson.
\ *R 22th EuroForth Conference Proceedings, pp. 52-77, available at
\ *R @uref{http://www.,THE EUROFORTH WEBSITE}. 
\ *W <i>The Nearly Invisible database or ForthQL</i>, N. J. Nelson. 
\ *W 22th EuroForth Conference Proceedings, pp. 52-77, available at
\ *W <A href="http://www.">THE EUROFORTH WEBSITE</A>

\ *B
\ *R @cite{VFX Forth for Linux User Manual}. 
\ *R The evaluation license for Linux is free. 
\ *R Visit @uref{http://www.mpe.com,MPE Website} for details.
\ *W <i>VFX Forth for Linux User Manual</i> . 
\ *W The evaluation license for Linux is free. 
\ *W Visit <A href="http://www.mpe.com">MPE Website</A> for details.

\ *)

\ ======
\ *> ###
\ ======
